JailbreakMe: Are you worried about iPhone security?

Ah the never ending story of Jailbreaking and the iconic iPhone continues as apparently now you can jailbreak your iPhone simply by hitting up a website, but after a short while it turns out that there appears to e a big security issue on iOS 4 which may allow hackers to well hack your iPhone.

According to an article over on i4u by Luigi Lugmayr, and by way of an article over on Macrumors, JailbreakMe is using a security hole to jailbreak your device which is related to the embedding fonts and PDF viewer on mobile Safari.

Apparently iPhone maker Apple will need to update iOS 4 as soon as possible in order to seal this hole, which means the iPhone user who has used JailbreakMe to jailbreak their handset can either update or loose the jailbreak functionality unlees you follow the instructions via Macstories which enables a warning when a PDF is loaded.

So has any of our iPhone toting readership opted to jailbreak their iPhone using JailbreakMe, and if so are you worried about your iPhone’s security? Feel free to sound out in our comments area below.

Comments

One thought on “JailbreakMe: Are you worried about iPhone security?”

  1. Reply
    Andrew Hart says:

    I found this site whilst searching for an iPhone security app. I have jailbroken using the jailbreakme method, so PDF security as well as getting alerts for apps trying to send my personal data to external servers/email addresses is important to me, especially considering both my hotmail and gmail accounts were recently hacked into. Related? Unknown.

Live Comment

Your email address will not be published.